
variables:
  BUILD_VARIANTS: centos7,alma8,alma9
  CENTOS7_BUILD_ARCHS: amd64,arm64
  ALMA8_BUILD_ARCHS: amd64,arm64
  BASE_IMAGE_REPO_URL: gitlab-registry.cern.ch/p2-xware/software/emp-herd
  BASE_IMAGE_TAG: master-50a5af3d
  COPY_INSTALL_PATHS: "/opt/cactus /opt/smash"
  PUBLISH_EOS_BASE_DIR: /eos/user/c/cactus/www/cactus/phase2/software/plugins/serenity
  FORMAT_JOB_OS: alma9

include:
  - project: cms-tracker-phase2-onlinesw/herd-app
    ref: v0.4.25
    file: /ci/plugin-pipeline.yml



smoke_test:z1.2-vu9p-so2:
  extends: .plugin_smoke_test:centos7
  variables:
    BOARD_RUNNER_TAG: serenity-vu9p-so2

smoke_test:z1.2-vu13p-so2:
  extends: .plugin_smoke_test:centos7
  variables:
    BOARD_RUNNER_TAG: serenity-vu13p-so2


full_test:z1.2-vu9p-so2:
  extends: .board_plugin_test:centos7
  variables:
    BOARD_RUNNER_TAG: serenity-vu9p-so2
    CHANNELS: 0-15,24-95,104-119
    HERD_PROCESSOR_ID: x0
    FIRMWARE_PACKAGE: http://emp-fwk.web.cern.ch/emp-fwk/fw/bitfiles/v0.9.0/serenity_vu9p_so2.tgz
    INPUT_DATA: /pyswatch/src/swatch/config/input_data_emp07x.txt
    ALGO_LATENCY: 7
    LINK_LATENCY: 54
    EXTRA_TEST_ARGUMENTS: "--io-port-mode=prbs7 --io-port-mode=prbs31 --io-port-mode=CSP:128/256:idle1 --count=5 --exitfirst"
  needs:
    - smoke_test:z1.2-vu9p-so2

full_test:z1.2-vu13p-so2:
  extends: .board_plugin_test:centos7
  variables:
    BOARD_RUNNER_TAG: serenity-vu13p-so2
    #CHANNELS: 0-15,24-59,68-103,112-127
    #CHANNELS: 0-15,24-59,68-103,112-119
    CHANNELS: 0-15,24-27,56-59,68-71,100-103,112-119
    HERD_PROCESSOR_ID: x0
    FIRMWARE_PACKAGE: http://emp-fwk.web.cern.ch/emp-fwk/fw/bitfiles/v0.9.0/serenity_vu13p_so2.tgz
    INPUT_DATA: /pyswatch/src/swatch/config/input_data_emp07x.txt
    ALGO_LATENCY: 7
    LINK_LATENCY: 54
    EXTRA_TEST_ARGUMENTS: "--io-port-mode=prbs7 --io-port-mode=prbs31 --io-port-mode=CSP:128/256:idle1 --count=5 --exitfirst"
  needs:
    - smoke_test:z1.2-vu13p-so2


